{
  "schema_version": "1.4.0",
  "id": "GHSA-5f9p-3w99-9cj2",
  "modified": "2022-05-13T01:11:22Z",
  "published": "2022-05-13T01:11:22Z",
  "aliases": [
    "CVE-2010-2497"
  ],
  "details": "Integer underflow in glyph handling in FreeType before 2.4.0 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted font file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2497"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=613154"
    },
    {
      "type": "WEB",
      "url": "https://savannah.nongnu.org/bugs/?30082"
    },
    {
      "type": "WEB",
      "url": "https://savannah.nongnu.org/bugs/?30083"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=7d3d2cc4fef72c6be9c454b3809c387e12b44cfc"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010//Nov/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=127905701201340&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=127909326909362&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48951"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4435"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2070"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:137"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-191"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-19T18:00:00Z"
  }
}